using IRaCIS.Core.Domain.Share;

namespace IRaCIS.Core.Domain.Models;

[Comment("系统标准 - 全局配置 （需要同步）")]
[Table("ReadingSystemCriterionDictionary")]
public class ReadingSystemCriterionDictionary : BaseAddAuditEntity
{
    #region 导航属性

    [JsonIgnore]
    [ForeignKey("DictionaryId")]
    public Dictionary Dictionary { get; set; }
    #endregion
    public Guid CriterionId { get; set; }
    public Guid DictionaryId { get; set; }
    public bool IsSystemCriterion { get; set; } = false;

    public string ParentCode { get; set; } = string.Empty;
    public bool IsBaseLineUse { get; set; } = false;
    public bool IsFollowVisitUse { get; set; } = false;

    [Comment("标准字典分组")]
    public CrterionDictionaryGroup CrterionDictionaryGroup { get; set; } = CrterionDictionaryGroup.General;
}
